Eccube\Entity\CustomerFavoriteProduct:
    type: entity
    table: dtb_customer_favorite_product
    repositoryClass: Eccube\Repository\CustomerFavoriteProductRepository
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            id: true
            column: favorite_id
            generator:
                strategy: AUTO
    fields:
        create_date:
            type: datetime
            nullable: false
        update_date:
            type: datetime
            nullable: false
        del_flg:
            type: smallint
            nullable: false
            unsigned: false
            options:
                default: '0'
    manyToOne:
        Customer:
            targetEntity: Eccube\Entity\Customer
            inversedBy: CustomerFavoriteProducts
            joinColumn:
                name: customer_id
                referencedColumnName: customer_id
        Product:
            targetEntity: Eccube\Entity\Product
            inversedBy: CustomerFavoriteProducts
            joinColumn:
                name: product_id
                referencedColumnName: product_id
    lifecycleCallbacks: {  }
